<?php

namespace Shop\Domain\Brand\Contracts;

use Repo\PaginationInterface;
use Repo\RepositoryCriteriaInterface;

/**
* Description of Brand
*
* @author Diamond Code Generator
*/
interface BrandCriteriaInterface extends RepositoryCriteriaInterface, PaginationInterface
{

    public function getSearchByName():?string ;

    public function getSearchByAlias():?string ;

    public function getFilterByDestinations():?array ;

}           